Package com.google.protobuf

# Interface BoolValueOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `BoolValue`, `BoolValue.Builder`

public interface BoolValueOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getValue()`
`bool value = 1 [json_name = "value"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getValue

boolean getValue()
`bool value = 1 [json_name = "value"];`

Returns:
  The value.